commit:     f7e5f000d6c0d493fdac4217b6f328d0c69bc9e8
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 28 18:32:33 2019 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Sun Jul 28 19:37:14 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7e5f000

app-emulation/spice: version bump to 0.14.2

 * drop python2.7

Closes: https://bugs.gentoo.org/664476

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Matthias Maier <tamiko <AT> gentoo.org>

 app-emulation/spice/Manifest            |   1 +
 app-emulation/spice/spice-0.14.2.ebuild | 100 ++++++++++++++++++++++++++++++++
 2 files changed, 101 insertions(+)

diff --git a/app-emulation/spice/Manifest b/app-emulation/spice/Manifest
index 6b3b7c613b4..e7646821caa 100644
--- a/app-emulation/spice/Manifest
+++ b/app-emulation/spice/Manifest
@@ -1 +1,2 @@
 DIST spice-0.14.0.tar.bz2 1330195 BLAKE2B 
08f93e8ddeb79adb4feac0557a854cc41fd096a9dfefc0baaca176803c2a03ef9286c4f61a135d62ad22e3ac3f4bb31ffd1614c8ddeaec7ae8c01eca34da1750
 SHA512 
84532146aa628ca6ca459a82afb89d6391892e063668fd4a68023c92cee7ca868b6c82e31dd9886819b76ea745ebdae0d0030e1f608d8f58f51c00f0b09bae1f
+DIST spice-0.14.2.tar.bz2 1406009 BLAKE2B 
e6c57bedd8c8ec0444da194be7279b895bf348dfa9b427d20301cc223627bcd65b7037280bc2a3d0b531b0cdcd8cb62d34ee132c549ac3dc8f6e5a2959339ce2
 SHA512 
1093b618ea4a7ff31944429ce2903abecfc8d20c35f2d9c8c837a6e053ee429c0115e40665542637a717869209523ac05d15cdb5e77563102d5d3915e4aaaf76

diff --git a/app-emulation/spice/spice-0.14.2.ebuild 
b/app-emulation/spice/spice-0.14.2.ebuild
new file mode 100644
index 00000000000..464cb7d9c62
--- /dev/null
+++ b/app-emulation/spice/spice-0.14.2.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_5,3_6,3_7} )
+
+inherit autotools python-any-r1 readme.gentoo-r1 xdg-utils
+
+DESCRIPTION="SPICE server"
+HOMEPAGE="https://www.spice-space.org/";
+SRC_URI="https://www.spice-space.org/download/releases/spice-server/${P}.tar.bz2";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="libressl lz4 sasl smartcard static-libs gstreamer"
+
+# the libspice-server only uses the headers of libcacard
+RDEPEND="
+       dev-lang/orc[static-libs(+)?]
+       >=dev-libs/glib-2.22:2[static-libs(+)?]
+       media-libs/opus[static-libs(+)?]
+       sys-libs/zlib[static-libs(+)?]
+       virtual/jpeg:0=[static-libs(+)?]
+       >=x11-libs/pixman-0.17.7[static-libs(+)?]
+       !libressl? ( dev-libs/openssl:0=[static-libs(+)?] )
+       libressl? ( dev-libs/libressl:0=[static-libs(+)?] )
+       lz4? ( app-arch/lz4:0=[static-libs(+)?] )
+       smartcard? ( >=app-emulation/libcacard-0.1.2 )
+       sasl? ( dev-libs/cyrus-sasl[static-libs(+)?] )
+       gstreamer? (
+               media-libs/gstreamer:1.0
+               media-libs/gst-plugins-base:1.0
+       )"
+DEPEND="${RDEPEND}
+       ${PYTHON_DEPS}
+       >=app-emulation/spice-protocol-0.14.0
+       virtual/pkgconfig
+       $(python_gen_any_dep '
+               >=dev-python/pyparsing-1.5.6-r2[${PYTHON_USEDEP}]
+               dev-python/six[${PYTHON_USEDEP}]
+       ')
+       smartcard? ( app-emulation/qemu[smartcard] )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.14.0-openssl1.1_fix.patch
+)
+
+python_check_deps() {
+       has_version ">=dev-python/pyparsing-1.5.6-r2[${PYTHON_USEDEP}]"
+       has_version "dev-python/six[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+       [[ ${MERGE_TYPE} != binary ]] && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       eautoreconf
+}
+
+src_configure() {
+       # Prevent sandbox violations, bug #586560
+       # https://bugzilla.gnome.org/show_bug.cgi?id=744134
+       # https://bugzilla.gnome.org/show_bug.cgi?id=744135
+       addpredict /dev
+
+       xdg_environment_reset
+
+       local myconf="
+               $(use_enable static-libs static)
+               $(use_enable lz4)
+               $(use_with sasl)
+               $(use_enable smartcard)
+               --enable-gstreamer=$(usex gstreamer "1.0" "no")
+               --disable-celt051
+               "
+       econf ${myconf}
+}
+
+src_compile() {
+       # Prevent sandbox violations, bug #586560
+       # https://bugzilla.gnome.org/show_bug.cgi?id=744134
+       # https://bugzilla.gnome.org/show_bug.cgi?id=744135
+       addpredict /dev
+
+       default
+}
+
+src_install() {
+       default
+       use static-libs || find "${D}" -name '*.la' -type f -delete || die
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+}

Reply via email to